|  | Home | Documentation | SOAP_ENV__Detail Struct Reference updated Mon Mar 24 2025 by Robert van Engelen |

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
SOAP_ENV__Detail Struct Reference
Fault structure and functions

SOAP Fault Detail structure. More...

## Public Attributes
int | __type
| Any data of some type `T` serialized as `fault` element when its `SOAP_TYPE_T` is assigned to `__type` More...
void * | fault
| Any data of some type `T` serialized as `fault` element when its `SOAP_TYPE_T` is assigned to `__type` More...
_XML | __any
| Any XML content. More...

## Detailed Description

SOAP Fault Detail structure.

See also
  `SOAP_ENV__Fault`.

## Member Data Documentation

_XML SOAP_ENV__Detail::__any

Any XML content.

int SOAP_ENV__Detail::__type

Any data of some type `T` serialized as `fault` element when its `SOAP_TYPE_T` is assigned to `__type`

void* SOAP_ENV__Detail::fault

Any data of some type `T` serialized as `fault` element when its `SOAP_TYPE_T` is assigned to `__type`